import { Resource } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface LoadBalancerProps {
    readonly appName: string;
    readonly hostHeader: string;
    readonly targetGroupArn: string;
    readonly lbArn: string;
    readonly sslEnabled: boolean;
    readonly zoneName: string;
    readonly zoneId: string;
}
export declare class BalancerEntry extends Resource {
    constructor(scope: Construct, id: string, props: LoadBalancerProps);
    private getLoadBalancerListener;
    private createRoute53Entry;
}
